Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class SupportedAuthenticationMethod

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.SupportedAuthenticationMethod

    public class SupportedAuthenticationMethod

extends Object

Encapsulated data: SupportedAuthenticationMethod element Namespace: http://www.gdi-nrw.de/authentication

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`SupportedAuthenticationMethod(URN methodURN, String ummd)` Creates new instance with the given data.
`SupportedAuthenticationMethod(URN methodURN, WASAuthenticationMethodMD wasamd)` Creates new instance with the given data.

Method Summary
`String` | `getMetadata()`
`URN` | `getMethod()`
`WASAuthenticationMethodMD` | `getWasMetadata()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportedAuthenticationMethod

    public SupportedAuthenticationMethod(URN methodURN,
                                         WASAuthenticationMethodMD wasamd)

  Creates new instance with the given data.

  Parameters:
    `methodURN` -
    `wasamd` -

### SupportedAuthenticationMethod

    public SupportedAuthenticationMethod(URN methodURN,
                                         String ummd)

  Creates new instance with the given data.

  Parameters:
    `methodURN` -
    `ummd` -

Method Detail

### getMetadata

    public String getMetadata()

  Returns:
    Returns the metadata.

### getMethod

    public URN getMethod()

  Returns:
    Returns the method.

### getWasMetadata

    public WASAuthenticationMethodMD getWasMetadata()

  Returns:
    Returns the wasMetadata.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org